Error plugin redmine_meetings when i create a meeting

Added by Petr Němec almost 5 years ago

Hello,

I installed redmine_meetings plug-in from Arnaud Martel:

If I try to create a new meeting and click on "Create", I will be redirected this error:

Processing by MeetingsController#create_meeting as HTML
Parameters: {"utf8"=>"â", "authenticity_token"=>"ALoL+bm/2aplNCFvK9lqnjgg3oPcIiJxUkmZK+6oxds=", "meeting"=>{"subject"=>"aaaa", "location"=>"aaaa", "start_date_date"=>"2014-10-2
3", "end_date_date"=>"2014-10-23", "description"=>""}, "start_time"=>{"year"=>"2014", "month"=>"10", "day"=>"11", "hour"=>"22", "minute"=>"00"}, "end_time"=>{"year"=>"2014", "mon
th"=>"10", "day"=>"11", "hour"=>"23", "minute"=>"00"}, "commit"=>"Create", "project_id"=>"testovaci-projekt"}
Current user: petrn (id=3)
Completed 500 Internal Server Error in 20.1ms

NoMethodError (undefined method `to_utc' for Thu, 23 Oct 2014 20:00:00 +0000:DateTime):
app/models/mailer.rb:423:in `initialize'
app/models/mailer.rb:446:in `method_missing'

Can anybody help me with this issue?

Environment:
Redmine version 2.5.2.stable.13339
Ruby version 2.0.0-p481 (2014-05-08) [x86_64-linux]
Rails version 3.2.19
Environment production
Database adapter Mysql2
SCM:
Subversion 1.6.17
Git 1.7.10.4
Filesystem
Redmine plugins:
redmine_meetings 0.2.5

Thanks!
Petr

Replies (3)

RE: Error plugin redmine_meetings when i create a meeting - Added by Arnaud Martel almost 5 years ago

Hi Petr,

Strange: to_utc method has been removed from rails (that's why you have an error) but I don't understand why I don't have the same error on my server.
I need to make some checks but I will update my plugin in the next few days to provide a fix...

Kind regards,
Arnaud

RE: Error plugin redmine_meetings when i create a meeting - Added by Arnaud Martel almost 5 years ago

Hi Petr,

I have fixed the error and updated my plugin (v0.2.6). Let me know if you still have trouble with this version...

Kind regards,
Arnaud

RE: Error plugin redmine_meetings when i create a meeting - Added by Petr Němec almost 5 years ago

Hi Arnaud,

thank you for the quick response and the new version of the plugin.
Problem solved by deploying a new version (v0.2.6).
It was very helpful.
Thank you.
Petr

(1-3/3)